Main Page Class Hierarchy Compound List File List Compound Members

# KEY_string_in Class Reference

Input driver for KEY strings (the string contains KEY records). More...

`#include <keydrin.h>`

Inheritance diagram for KEY_string_in:

List of all members.

## Public Methods
| KEY_string_in (AliasList *aliaslist, double factor)
| constructor
| ~KEY_string_in ()
| destructor
bool | Insert (GdsII *_GdsII, const wxString &string)
| add the KEY data in string to the internal database
bool | ReadStructureReference (Structure *_structure, GdsII *_GdsII)
| insert a reference to a structure
## Protected Methods
bool | ReadItem (const wxString &type)
| read one record from the KEY Data
void | IncC ()
| read next character
char | PeekNextC ()
| to evaluate alias strings
## Protected Attributes
char * | _commands
| buffer for the string to evaluate
char * | _c
| current character

## Detailed Description

Input driver for KEY strings (the string contains KEY records).

only the following primitives can be added this way

            <element>                       ::=     <boundary> | <path> | <circle> | <arc> |<text> | <node> | <box>
                                                                             {<property>}*
                                                                            ENDEL

The documentation for this class was generated from the following file:

- keydrin.h

KEY_string_in class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page